/***************************************************************************
 * Linux PPP over L2TP (PPPoL2TP) Socket Implementation (RFC 2661) 
 *
 * This file supplies definitions required by the PPP over L2TP driver
 * (pppol2tp.c).  All version information wrt this file is located in pppol2tp.c
 *
 * License:
 *		This program is free software; you can redistribute it and/or
 *		modify it under the terms of the GNU General Public License
 *		as published by the Free Software Foundation; either version
 *		2 of the License, or (at your option) any later version.
 *
 */

#ifndef __LINUX_IF_PPPOL2TP_H
#define __LINUX_IF_PPPOL2TP_H

#include <asm/types.h>

#ifdef __KERNEL__
#include <linux/in.h>
#endif

#define PX_PROTO_OL2TP 1

/* Structure used to bind() the socket to a particular socket & tunnel */
struct pppol2tp_addr
{
	int	fd;              /* FD of UDP socket to use */
	
	struct sockaddr_in addr; /* IP address and port to send to */
	
	__u16 s_tunnel, s_session;    /* For matching incoming packets */
	__u16 d_tunnel, d_session;    /* For sending outgoing packets */
};

#endif
